﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="GridScrolling.aspx.cs" Inherits="GridScrolling" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <div>
            <telerik:RadGrid ID="SubGrid" AllowSorting="True" Skin="Hay" runat="server" GridLines="None" AllowPaging="True" PageSize="12"
                DataSourceID="AccessDataSource1" Width="800px">
                <ClientSettings EnableRowHoverStyle="True">
                    <Selecting AllowRowSelect="True" />
                </ClientSettings>
                <MasterTableView AutoGenerateColumns="False" DataKeyNames="ProductID" DataSourceID="AccessDataSource1" 
                    Height="99%" Width="100%">
                    <Columns>
                        <telerik:GridBoundColumn DataField="ProductID" DataType="System.Int32" HeaderText="ProductID"
                            SortExpression="ProductID" UniqueName="ProductID">
                            <HeaderStyle Wrap="False" />
                            <ItemStyle Wrap="False" />
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="SupplierID" HeaderText="SupplierID" SortExpression="SupplierID"
                            UniqueName="SupplierID">
                            <HeaderStyle Wrap="False" />
                            <ItemStyle Wrap="False" />
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="ProductName" HeaderText="ProductName" SortExpression="ProductName"
                            UniqueName="ProductName">
                            <HeaderStyle Wrap="False" />
                            <ItemStyle Wrap="False" />
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="UnitPrice" DataType="System.Int16" HeaderText="UnitPrice"
                            SortExpression="UnitPrice" UniqueName="UnitPrice">
                            <HeaderStyle Wrap="False" />
                            <ItemStyle Wrap="False" />
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="UnitsInStock" HeaderText="Units In Stock" SortExpression="UnitsInStock"
                            UniqueName="UnitsInStock">
                            <HeaderStyle Wrap="False" />
                            <ItemStyle Wrap="False" />
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="QuantityPerUnit" HeaderText="Quantity Per Unit"
                            SortExpression="QuantityPerUnit" UniqueName="QuantityPerUnit" Visible="False"
                            EditFormColumnIndex="1">
                            <HeaderStyle Wrap="False" />
                            <ItemStyle Wrap="False" />
                        </telerik:GridBoundColumn>
                    </Columns>
                    <HeaderStyle Width="100px" />
                    <PagerStyle Mode="NextPrevAndNumeric" />
                </MasterTableView>
            </telerik:RadGrid>
            <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Nwind.mdb"
                SelectCommand="SELECT * FROM [Products]">
            </asp:AccessDataSource>
        </div>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="SubGrid">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="SubGrid" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
    </form>
</body>
</html>
